package com.ruoyi.system.domain.task.vo;

import java.io.Serializable;

public class BsGridRegionUser implements Serializable {
    /**
     * ID
     *
     * @mbg.generated
     */
    private String id;

    /**
     * 网格类型:1、基础网格  2、专属网格
     *
     * @mbg.generated
     */
    private String wglx;

    /**
     * 对象类型:企业（qy）、资产（zc）、城乡（cx）、商户（sh）、其他（qt）、专属（zs）
     *
     * @mbg.generated
     */
    private String dxlx;

    /**
     * 所属网格code
     *
     * @mbg.generated
     */
    private String wgId;

    /**
     * 代码
     *
     * @mbg.generated
     */
    private String code;

    /**
     * 名称
     *
     * @mbg.generated
     */
    private String name;

    /**
     * 企业类型:1安监   、 2环保、3其他
     *  专属类型：1政府、2企业、3学校、4医院
     * @mbg.generated
     */
    private String qylx;

    /**
     * 资产状态:出租、闲置、空置、出售
     *
     * @mbg.generated
     */
    private String zczt;

    /**
     * 负责人姓名
     *
     * @mbg.generated
     */
    private String fzrxm;

    /**
     * 负责人电话
     *
     * @mbg.generated
     */
    private String fzrdh;

    /**
     * 注册地址
     *
     * @mbg.generated
     */
    private String zcdz;

    /**
     * 坐标
     *
     * @mbg.generated
     */
    private String zb;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    private String createTime;

    /**
     * 创建人
     *
     * @mbg.generated
     */
    private String createBy;

    /**
     * 最后修改时间
     *
     * @mbg.generated
     */
    private String updateTime;

    /**
     * 最后修改人
     *
     * @mbg.generated
     */
    private String updateBy;

    /**
     * 1:有效 0:无效
     *
     * @mbg.generated
     */
    private String isValid;

    private String ylzd1;

    private String ylzd2;

    private String ylzd3;//党员数量

    private String ylzd4;

    private String ylzd5;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getWglx() {
        return wglx;
    }

    public void setWglx(String wglx) {
        this.wglx = wglx;
    }

    public String getDxlx() {
        return dxlx;
    }

    public void setDxlx(String dxlx) {
        this.dxlx = dxlx;
    }

    public String getWgId() {
        return wgId;
    }

    public void setWgId(String wgId) {
        this.wgId = wgId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getQylx() {
        return qylx;
    }

    public void setQylx(String qylx) {
        this.qylx = qylx;
    }

    public String getZczt() {
        return zczt;
    }

    public void setZczt(String zczt) {
        this.zczt = zczt;
    }

    public String getFzrxm() {
        return fzrxm;
    }

    public void setFzrxm(String fzrxm) {
        this.fzrxm = fzrxm;
    }

    public String getFzrdh() {
        return fzrdh;
    }

    public void setFzrdh(String fzrdh) {
        this.fzrdh = fzrdh;
    }

    public String getZcdz() {
        return zcdz;
    }

    public void setZcdz(String zcdz) {
        this.zcdz = zcdz;
    }

    public String getZb() {
        return zb;
    }

    public void setZb(String zb) {
        this.zb = zb;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getIsValid() {
        return isValid;
    }

    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    public String getYlzd1() {
        return ylzd1;
    }

    public void setYlzd1(String ylzd1) {
        this.ylzd1 = ylzd1;
    }

    public String getYlzd2() {
        return ylzd2;
    }

    public void setYlzd2(String ylzd2) {
        this.ylzd2 = ylzd2;
    }

    public String getYlzd3() {
        return ylzd3;
    }

    public void setYlzd3(String ylzd3) {
        this.ylzd3 = ylzd3;
    }

    public String getYlzd4() {
        return ylzd4;
    }

    public void setYlzd4(String ylzd4) {
        this.ylzd4 = ylzd4;
    }

    public String getYlzd5() {
        return ylzd5;
    }

    public void setYlzd5(String ylzd5) {
        this.ylzd5 = ylzd5;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", wglx=").append(wglx);
        sb.append(", dxlx=").append(dxlx);
        sb.append(", wgId=").append(wgId);
        sb.append(", code=").append(code);
        sb.append(", name=").append(name);
        sb.append(", qylx=").append(qylx);
        sb.append(", zczt=").append(zczt);
        sb.append(", fzrxm=").append(fzrxm);
        sb.append(", fzrdh=").append(fzrdh);
        sb.append(", zcdz=").append(zcdz);
        sb.append(", zb=").append(zb);
        sb.append(", createTime=").append(createTime);
        sb.append(", createBy=").append(createBy);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", updateBy=").append(updateBy);
        sb.append(", isValid=").append(isValid);
        sb.append(", ylzd1=").append(ylzd1);
        sb.append(", ylzd2=").append(ylzd2);
        sb.append(", ylzd3=").append(ylzd3);
        sb.append(", ylzd4=").append(ylzd4);
        sb.append(", ylzd5=").append(ylzd5);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsGridRegionUser other = (BsGridRegionUser) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getWglx() == null ? other.getWglx() == null : this.getWglx().equals(other.getWglx()))
            && (this.getDxlx() == null ? other.getDxlx() == null : this.getDxlx().equals(other.getDxlx()))
            && (this.getWgId() == null ? other.getWgId() == null : this.getWgId().equals(other.getWgId()))
            && (this.getCode() == null ? other.getCode() == null : this.getCode().equals(other.getCode()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getQylx() == null ? other.getQylx() == null : this.getQylx().equals(other.getQylx()))
            && (this.getZczt() == null ? other.getZczt() == null : this.getZczt().equals(other.getZczt()))
            && (this.getFzrxm() == null ? other.getFzrxm() == null : this.getFzrxm().equals(other.getFzrxm()))
            && (this.getFzrdh() == null ? other.getFzrdh() == null : this.getFzrdh().equals(other.getFzrdh()))
            && (this.getZcdz() == null ? other.getZcdz() == null : this.getZcdz().equals(other.getZcdz()))
            && (this.getZb() == null ? other.getZb() == null : this.getZb().equals(other.getZb()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getCreateBy() == null ? other.getCreateBy() == null : this.getCreateBy().equals(other.getCreateBy()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getUpdateBy() == null ? other.getUpdateBy() == null : this.getUpdateBy().equals(other.getUpdateBy()))
            && (this.getIsValid() == null ? other.getIsValid() == null : this.getIsValid().equals(other.getIsValid()))
            && (this.getYlzd1() == null ? other.getYlzd1() == null : this.getYlzd1().equals(other.getYlzd1()))
            && (this.getYlzd2() == null ? other.getYlzd2() == null : this.getYlzd2().equals(other.getYlzd2()))
            && (this.getYlzd3() == null ? other.getYlzd3() == null : this.getYlzd3().equals(other.getYlzd3()))
            && (this.getYlzd4() == null ? other.getYlzd4() == null : this.getYlzd4().equals(other.getYlzd4()))
            && (this.getYlzd5() == null ? other.getYlzd5() == null : this.getYlzd5().equals(other.getYlzd5()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getWglx() == null) ? 0 : getWglx().hashCode());
        result = prime * result + ((getDxlx() == null) ? 0 : getDxlx().hashCode());
        result = prime * result + ((getWgId() == null) ? 0 : getWgId().hashCode());
        result = prime * result + ((getCode() == null) ? 0 : getCode().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getQylx() == null) ? 0 : getQylx().hashCode());
        result = prime * result + ((getZczt() == null) ? 0 : getZczt().hashCode());
        result = prime * result + ((getFzrxm() == null) ? 0 : getFzrxm().hashCode());
        result = prime * result + ((getFzrdh() == null) ? 0 : getFzrdh().hashCode());
        result = prime * result + ((getZcdz() == null) ? 0 : getZcdz().hashCode());
        result = prime * result + ((getZb() == null) ? 0 : getZb().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCreateBy() == null) ? 0 : getCreateBy().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getUpdateBy() == null) ? 0 : getUpdateBy().hashCode());
        result = prime * result + ((getIsValid() == null) ? 0 : getIsValid().hashCode());
        result = prime * result + ((getYlzd1() == null) ? 0 : getYlzd1().hashCode());
        result = prime * result + ((getYlzd2() == null) ? 0 : getYlzd2().hashCode());
        result = prime * result + ((getYlzd3() == null) ? 0 : getYlzd3().hashCode());
        result = prime * result + ((getYlzd4() == null) ? 0 : getYlzd4().hashCode());
        result = prime * result + ((getYlzd5() == null) ? 0 : getYlzd5().hashCode());
        return result;
    }
}